This document describes the current stable version of Celery (5.6). For development docs, go here.

# `celery.backends.cosmosdbsql`

The CosmosDB/SQL backend for Celery (experimental).

class celery.backends.cosmosdbsql.CosmosDBSQLBackend(url=None, database_name=None, collection_name=None, consistency_level=None, max_retry_attempts=None, max_retry_wait_time=None, *args, **kwargs)

  CosmosDB/SQL backend for Celery.

  delete(key)

    Delete the value at a given key.

    Parameters:

      key – The key of the value to delete.

  get(key)

    Read the value stored at the given key.

    Parameters:

      key – The key for which to read the value.

  mget(keys)

    Read all the values for the provided keys.

    Parameters:

      keys – The list of keys to read.

  set(key, value)

    Store a value for a given key.

    Parameters:

      - key – The key at which to store the value.

      - value – The value to store.